#pragma once
#include "BaseConstVariable.h"
#include <QDialog>

#include "ImageOperatorBase.h"

namespace Ui {
	class QToolProcessBarDialogClass;
}

class  BASECONSTVARIABLEAPI	 QToolProcessBarDialog : public QDialog, public  ShowProessAbstract
{
	Q_OBJECT
public:
	QToolProcessBarDialog(QWidget *parent = nullptr);
	~QToolProcessBarDialog();

private:
	Ui::QToolProcessBarDialogClass* ui;
public:
	virtual void showProcess(double precent, QString tip) override;
	virtual void showToolInfo(QString tip) override;
};
